<?php
function contenido($array){

}

function show(){
	$mipaso=new API();

	$type=array(
	"Arial,Helvetica, sans-serif",
	"'Times New Roman', Times, serif",
	"'Courier New', Courier, monospace",
	"Georgia, 'Times New Roman', Times, serif",
	"Verdana, Arial, Helvetica, sans-serif",
	"Geneva, Arial, Helvetica, sans-serif",
	"'Trebuchet MS', Verdana, Arial"
	);
	
	$size=array(
	'8px',
	'9px',
	'10px',
	'11px',
	'12px',
	'14px',			
	'16px'	
	);
	
	if($mipaso->getData("sendfont")==0){
		$mipaso->setFormAction('?npaso=3&sendfont=1');
		$go=0;
	}else{
		$go=1;
	}
if($go==0){	
	$contenido='<div class="lineadiv"><b>'._selectFont.'</b></div>';
	$contenido.='<div class="lineadiv">'._selectFontfamily;
	$contenido.='<select name="miSelect" onchange="cambiarfont()">';
			$x=0;
			while($type[$x]!=''){
				$contenido.=' <option value="'.$type[$x].'">'.$type[$x];
				$x++;
			}
			$contenido.='</select>';
									
			$contenido.='<input name="typefont" type="hidden" value="Arial" id="typefont">';	
			
	$contenido.=_selectFontsize;			
	$contenido.='<select name="miSelect2" onchange="cambiartamano()">';
			$x=0;
			while($size[$x]!=''){
				$contenido.=' <option value="'.$size[$x].'">'.$size[$x];
				$x++;
			}
			$contenido.='</select>';
	
			$contenido.='<input name="sizefont" type="hidden" value="10px" id="sizefont"></div>';		
			
		

//-------------------------------------------------------------------------------------
	$contenido.='<div class="lineadiv">'._selectLinka.'</div>';
	
	$contenido.='<div class="muestra">';
		$i=0;
		$color=$mipaso->getData('arrayColor');
				while($color[$i]!=''){
					$destino=substr($Paso,1,strlen($Paso));
					$js="color('#".$color[$i]."','".$destino."'); return false";		
					$contenido.='<a href="#" onclick="javascript:'.$js.'"><div class="color" style="background-color:#'.$color[$i].'"></div></a>';
					$i++;
				}	
				
	$contenido.='</div>';

//--------------------------------------------------------------------------------------
	$contenido.='<div class="lineadiv">'._selectLinkhover.'</div>';
	
	$contenido.='<div class="muestra">';
		$i=0;
		$color=$mipaso->getData('arrayColor');
				while($color[$i]!=''){
					$destino=substr($Paso,1,strlen($Paso));
					$js="color('#".$color[$i]."','".$destino."'); return false";		
					$contenido.='<a href="#" onclick="javascript:'.$js.'"><div class="color" style="background-color:#'.$color[$i].'"></div></a>';
					$i++;
				}	
				
	$contenido.='</div>';

		$datos['select']=$contenido;
}else{
				$fichero=new FILE();
				$datos[0]['div']='body';
				$datos[0]['font-family']=$mipaso->getData('typefont');
				$datos[0]['font-size']=$mipaso->getData('sizefont');
				$fichero->editCSS($mipaso->getData('urlCSStemp').'/estilo.css',$datos);
				$css='../'.$mipaso->getData('urlCSStemp').'/estilo.css';
				$mipaso->setCSStemplate($css);
				$mipaso->setData("sendfont",0);
	echo "<script>location.href='index.php?npaso=4'</script>";
}
	$dato=$mipaso->template("step/s3/interface/index.html",$datos);
	
	$mipaso->setScript('<script src="step/s3/js/script.js" type="text/javascript"></script>');
	$mipaso->setStep($dato);	
	$mipaso->setCSS('../step/s3/interface/estilo.css');
 


	return $mipaso->printweb();
}

?>
